test
test3mo ago

이번에 토스 위젯 도입을 앞두고 있습니다. 현재 자사의 php 버전이 5.2.17 입니다. 혹시 이 버전에 위젯 설치시 사용이 불가능하거나 오류가 있을지요?

이번에 토스 위젯 도입을 앞두고 있습니다. 현재 자사의 php 버전이 5.2.17 입니다. 혹시 이 버전에 위젯 설치시 사용이 불가능하거나 오류가 있을지요?
18 Replies
토스페이먼츠 BOT
⏳ 잠시만 기다려주세요! 곧 답변드리겠습니다
오류 문의일 경우 아래 정보를 미리 전달해주시면, 빠른 답변에 도움이 됩니다.
- 주문번호(orderId) : - 문의 내용 :
(img를 함께 첨부해주시면 도움이됩니다)
* 계약관련 내용은 1544-7772로 문의주세요. * 주말/공휴일에는 답변이 늦을 수 있어요.
유부장
유부장3mo ago
TLS 1.2 대응이 가능한 환경 이신가요? TLS 1.2 이상 대응 가능한 환경에서 토스페이먼츠 서비스를 이용하실 수 있습니다.
Kimoon Lee
Kimoon Lee3mo ago
5.2.17 이면 TLS 1.2 를 사용하실수 없을겁니다. php 버전을 올리시는것을 권장 드립니다.
test
test3mo ago
https://properenglish.co.kr/ 에서 확인 중에 있습니다.
바른영어훈련소
한국인을 위한 최적의 영어 학습법
test
test3mo ago
불가능하다면, php 버전 을 업데이트 하기 전에는 위젯 도입이 불가능하겠군요 ㅠㅜ
유부장
유부장3mo ago
TLS1.2 대응을 위해서는 cURL7.34, OpenSSL 1.0.1이상이 되어야 하고 위의 버전의 Extension은 PHP5.6 버전을 설치하면 된다고 하는데 이 부분은 확인 해주셔야 할듯 합니다.
test
test3mo ago
현재 php 버전업을 위한 개발의뢰 중에 있습니다. 7 버전 또는 8.2 버전으로 업을 하려고 하는데, 아마 기간이 상당히 소요될 것 같아서요... 계약은 그 전에 할 예정이라서요 TLS 1.1 까지만 지원되는 것으로 확인되었습니다.
유부장
유부장3mo ago
네, TLS 1.2 이상을 지원하고 있어서, 이 부분은 깊은 양해 부탁 드리겠습니다.
test
test3mo ago
djfk 어라 https://www.ssllabs.com/ssltest/analyze.html?d=properenglish.co.kr 여기에서 결과값에는 TLS 1.2 에 녹색으로 YES라고 되어있긴 합니다.
유부장
유부장3mo ago
PHP 서버 환경에서의 config 를 확인 부탁 드리겠습니다..
Ayaan
Ayaan3mo ago
보내주신 주소로 SSL확인했을 때도 아래 경고가 나타납니다. (TLS 1.2미지원 관련 경고) This server supports TLS 1.0 and TLS 1.1. Grade capped to B. MORE INFO » Cipher Suites 항목에서 Legacy TLS 1.2 암호화방식 외에는 모두 No로 체크되어 WEAK이라고 나오고 있습니다. 최신 TLS 1.2 암호화Cipher를 이용해야 하므로, PHP 5.6이상으로 업그레이드를 하셔야 할것 같습니다.
test
test3mo ago
아하 그렇군요, 결국은 Php 버전업이 선행되어야하면 위젯 설치가 가능하겠네요. 그러면 혹시 위젯 말고 일반결제방식으로 토스를 도입할 경우에는 기존 버전에 적용을 할 수 있을지요?
유부장
유부장3mo ago
토스페이먼츠가 제공하는 모든 결제연동 방식이 TLS 1.2 이상 만 을 지원하고 있습니다. 이 부분 양해 부탁 드리겠습니다.
Ayaan
Ayaan3mo ago
TLS 1.1 이하 버전에 대한 지원은 오래전에 종료되었습니다. 어떤 버전, 어떤 제품을 연동하시든 TLS 1.2이상을 지원하는 최신 PHP 버전업이 선행되어야 할것으로 보입니다.
test
test3mo ago
아 그렇군요, 현재는 KCP 사용중이었는데, kcp의 경우 php 5.0 이상 지원 상태였어서, 해당 부분은 미대응상태였습니다 아무래도 버전업 할 때까지는 기존 PG를 유지하고, PHP 업데이트 후에 연동테스틀 해야겠네요 ㅠㅜ
Ayaan
Ayaan3mo ago
제가 알고있기로는 KCP에서도 2020년 이후로 TLS 1.1 이하 버전에 대한 지원을 단계적으로 축소하고 있고, 구모듈 연동 지원의 종료가 예정되어 있는 것으로 알고 있습니다. 참고: https://partner.kcp.co.kr/support/notice/detail?brdSeq=20200116244002&listYn=Y 어느 PG사를 이용하시든, 보안을 위하여 버전업을 진행하시는것을 강력히 권장드립니다.
test
test3mo ago
네 그건 맞는 것 같습니다. 슬슬 데드라인이 된것 같아요, 그런데 아무래도 너무 오래된 버전이다보니, 작업해주실 개발업체 구하기도 힘이 드네요^^:
토스페이먼츠 BOT
❤️ 기술문의 경험이 어떠셨나요?!
간단히 코멘트 남겨주세요! 제품 발전에 큰 힘이 됩니다.
More Posts
모바일 웹 결제창 문의모바일 크롬 으로 접속해서 결제를 하면 결제창이 이미지처럼 짤리더라구요 혹시 해결방안이 있을까요?제휴 마케팅 기능을 서브몰로 구현stripe에는 referral/affiliate marketing (제휴 마케팅) 기능을 지원하는 앱이 있습니다. https://marketplace.stripe.com/app페이팔 결제 취소 테스트 문의안녕하세요. 페이팔 결제 취소 테스트 문의 드립니다. 취소 요청 결과 다음과 같이 응답을 받았습니다. {mId=tgovent04pl, lastTransactionKey=A한개의 사이트에서 2개의 사업자에게 결제하는 건에 관하여 문의드립니다 :)이전에 한개의 사이트에서 2개의 사업자가 결제 받을 수 있도록 하려면 16자리 카드 번호를 입력하여 각각 API를 쏴줘야 한다고 말씀 주셨는데요, 혹시 이렇게 구현하게 될 경결제위젯에서 결제요청 취소 후 페이지 뒤로가기가 안되는 현상이 있습니다.nuxt3로 개발중이고 SPA와 SSR 모두 같은 현상이 발생하네요. 결제위젯에서 결제 버튼 누르고 toss pay QR코드 모달창이 open되면 바로 닫기 누르고 브라우저 뒤로거래조회 API 등을 조회해서 데이터를 받는 방법 말고 DB to DB 방식은 없나요?1. 현재는 예를들면 거래조회 API를 호출해서 내역을 받아서 직접 데이터베이스에 등록을 해야하는걸로 이해를 했는데 맞나요? 2. DB to DB 방식으로 내역을 받는 방법은 없나XPay(구.결제모듈) 테스트 서버 주소 변경 공지 관련 기술문의입니다.안녕하세요, Linux(CentOS 6.10 또는, CentOS 7.9) 환경에서 쇼핑몰을 개발 및 관리하고 있습니다. 최근 `XPay(구.결제모듈) 테스트 서버 주소 변경 공지가상계좌 충전시에 webhookURL에 사용자변수를 추가할수는 없나요?가상계좌 충전방식에서, 가상계좌에 입금하면 등록된 webhookURL로 변수들이 오는걸로알고있습니다, 혹시 해당부분에 사용자변수를 추가해서 같이받게 할수있나요?토스페이먼츠 상점 관리자를 이용해서 에스크로 연동을 할 수 있나요?현재 자사몰에 카드 결제로만 개발되어있는데 추가 개발 없이 상점 관리자등을 이용한 에스크로 결제가 가능 한지 궁금합니다.간편결제에 신용카드연결과 은행계좌연결 둘다 가능한가요?간편결제를 연동할 경우 회원의 신용카드 연결과 , 회원의 출금은행계좌를 연동하는 것이 가능한지요?